---

#! /zdci/db/releases/20250619142104/lkp-src/jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: clang
  group: group-02
timeout: 2h
job_origin: perf-sanity-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-kbl-d01
tbox_group: lkp-kbl-d01
job_file: "/lkp/jobs/scheduled/lkp-kbl-d01/perf-sanity-tests-group-02-clang-debian-12-x86_64-20240206.cgz-5ddf4c3a17dc-20250622-92917-1mt9gvm-0.yaml"
id: 8d2ddab9dd7649ae7220786b67abf0e25e0d51f9
queuer_version: "/zday/lkp"

#! /zdci/db/releases/20250619142104/lkp-src/hosts/lkp-kbl-d01
model: Kaby Lake
nr_node: 1
nr_cpu: 8
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM003-1CH162_Z1D3X32H-part*"
ssd_partitions: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part1"
rootfs_partition: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part2"
brand: Intel(R) Core(TM) i7-7700 CPU @ 3.60GHz
ucode: '0xf8'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI

#! /zdci/db/releases/20250619142104/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250619142104/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250619142104/lkp-src/programs/perf-sanity-tests/include
initrds:
- linux_perf

#! /zdci/db/releases/20250619142104/lkp-src/include/queue/cyclic
commit: 5ddf4c3a17dc499fcbaf35692bc894340062dee8
kconfig: x86_64-rhel-9.4-bpf
enqueue_time: 2025-06-22 20:25:01.108419821 +08:00
_rt: "/result/perf-sanity-tests/group-02-clang/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8"
compiler: gcc-12
head_commit: 16b7c47cb518aec2dcd5e107f90988a1555575a9
base_commit: 19272b37aa4f83ca52bdf9c16d5d81bdd1354494
branch: linux-devel/devel-hourly-20250615-142309
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250620-202235"
arch: x86_64
max_uptime: 7200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/group-02-clang/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8/vmlinuz-6.16.0-rc1-00003-g5ddf4c3a17dc
- branch=linux-devel/devel-hourly-20250615-142309
- job=/lkp/jobs/scheduled/lkp-kbl-d01/perf-sanity-tests-group-02-clang-debian-12-x86_64-20240206.cgz-5ddf4c3a17dc-20250622-92917-1mt9gvm-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-bpf
- commit=5ddf4c3a17dc499fcbaf35692bc894340062dee8
- intremap=posted_msi
- max_uptime=7200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250619142104/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-kbl-d01/perf-sanity-tests-group-02-clang-debian-12-x86_64-20240206.cgz-5ddf4c3a17dc-20250622-92917-1mt9gvm-0.cgz"
last_kernel: 6.16.0-rc1-00022-gae0756933e87
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8/vmlinuz-6.16.0-rc1-00003-g5ddf4c3a17dc"
result_root: "/result/perf-sanity-tests/group-02-clang/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/5ddf4c3a17dc499fcbaf35692bc894340062dee8/0"
user: lkp

#! /zdci/db/releases/20250621222227/lkp-src/include/site/shz
dequeue_time: 2025-06-22 22:11:33.070285112 +08:00
job_state: finished
loadavg: 1.14 1.58 1.24 1/178 15557
start_time: '1750601950'
end_time: '1750602506'
version: "/lkp/lkp/.src-20250620-202235:a0b53a5e2db9:a7927d3597f7"
